## mediad 0.7

=== Makefile ===
CC      = gcc
CFLAGS  = -O2 -Wall
LD      = gcc
LDFLAGS =
LIBS    = -lvolume_id -lpthread

OBJS = main.o daemon.o autofs.o changed.o config.o \
	   mount.o fsoptions.o aliases.o mcond.o mtab.o util.o

DESTDIR = 
BINDIR  = /sbin
ETCDIR  = /etc
MAN5DIR = /usr/share/man/man5
MAN8DIR = /usr/share/man/man8

mediad: $(OBJS)
	$(LD) -o $@ $^ $(LIBS)

$(OBJS): mediad.h

clean:
	rm -f mediad $(OBJS) core

install: mediad
	install -d $(DESTDIR)$(BINDIR)
	install -s -m 755 mediad $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(ETCDIR)/mediad
	[ -f $(DESTDIR)$(ETCDIR)/mediad/mediad.rules ] || \
		install -m 644 mediad.rules $(DESTDIR)$(ETCDIR)/mediad/
	[ -f $(DESTDIR)$(ETCDIR)/mediad/mediad.conf ] || \
		install -m 644 mediad.conf $(DESTDIR)$(ETCDIR)/mediad/
	install -d $(DESTDIR)$(ETCDIR)/udev/rules.d
	ln -s ../../mediad/mediad.rules $(DESTDIR)$(ETCDIR)/udev/rules.d/z51_mediad.rules
	install -d $(DESTDIR)$(MAN5DIR) $(DESTDIR)$(MAN8DIR)
	install -m 644 mediad.conf.5 $(DESTDIR)$(MAN5DIR)
	install -m 644 mediad.8 $(DESTDIR)$(MAN8DIR)

=== debian/changelog ===
mediad (0.7) unstable; urgency=low

  * If parent device (e.g., sda) of a partition (sda1) arrives later, the
    model alias pointed to the partition (instead the device) and there
    was an error message. Now mediad waits max. 3s for the expected parent
    to trigger an event, too.
  * Avoid some races between threads.
  * Alias maintenance was reorganized. If, for example, two filesystems
    have the same name, the symlink isn't removed anymore with the wrong
    device. Also, symlinks can be made unique by inserting '#<n>' into the
    name. This is default for model names, and optional for labels.
  * mediad can also create UUID aliases, but this is not on by default.
  * The serial number of a device is logged, for convenience when
    you want to add the device to mediad.conf with a serial=="..." statement.
  * If a medium change is detected, symlinks are not removed and
    device, if this is not necessary.
  * New config options: label-unique, uuid-alias.

 -- Roman Hodek <roman@hodek.net>  Tue, 09 Jun 2009 18:58:05 +0200

mediad (0.6) unstable; urgency=low

  * Use "mount.$FSTYPE" helper binaries for filesystem where such a helper is
    available (instead directly using the mount() syscall).
  * New syntax "use FSTYPE2 instead FSTYPE1" in config file, to actually use
    FSTYPE2 when libvolume-id tells use FSTYPE1 to use. This can be used, for
    example, when you want 'ntfs-fuse' instead kernel 'ntfs'.
  * New blink feature: If there is "blink-led = <LEDNAME>" in the config file,
    the named keyboard LED ("ScrollLock", "NumLock", or "CapsLock") will
    blink slowly while some directory under /media is mounted. After
    everything is unmouted, it will blink fast for a short time. This might
    help to see when a medium isn't used anymore and can be removed.
  * Updated man pages.

 -- Roman Hodek <roman@hodek.net>  Fri, 22 Feb 2008 09:41:42 +0100

mediad (0.5) unstable; urgency=low

  * Suppress 'new /media/... available' message for full devices (i.e. the
    parent of partitions) when they contain no FS and child partitions exist.
  * Remove a few warnings about unused variables.

 -- Roman Hodek <roman@hodek.net>  Sat, 24 Feb 2007 18:11:52 +0100

mediad (0.4) unstable; urgency=low

  * Added an init script that reloads udev and explicitly starts mediad, for
    cases when udev was already started from a initrd and mediad.rules and/or
    mediad wasn't available there.

 -- Roman Hodek <roman@hodek.net>  Thu, 11 Jan 2007 19:05:14 +0100

mediad (0.3) unstable; urgency=low

  * Fix autofs kernel interface: With advent of new autofs5, the size of
    autofs_packet_union increased and the size isn't uniform across all
    packet types anymore, so a more complex handling is required.

 -- Roman Hodek <roman@hodek.net>  Thu, 26 Oct 2006 17:21:47 +0200

mediad (0.2) unstable; urgency=low

  * Use libvolume-id instead calling vol_id as separate process.
  * mediad.rules: many USB devices don't set the 'removable' bit, so run
    mediad unconditionally if ID_BUS is 'usb' or 'ieee1394'.
  * When replacing an existing mount, remove all aliases to avoid errors
    about existing symlinks.
  * mediad can now be called directly with the command "mediad start";
    this either says the daemon is already running, or starts it.
  
 -- Roman Hodek <roman@hodek.net>  Mon, 19 Jun 2006 15:44:41 +0200

mediad (0.1) unstable; urgency=low

  * Initial packaging.
  
 -- Roman Hodek <roman@hodek.net>  Sat, 21 Jan 2006 12:08:41 +0100

=== debian/control ===
Source: mediad
Section: admin
Priority: optional
Maintainer: Roman Hodek <roman@hodek.net>
Build-Depends: debhelper (>= 5), libvolume-id-dev
Standards-Version: 3.6.2

Package: mediad
Architecture: any
Depends: udev (>= 0.076), ${shlibs:Depends}
Description: Daemon for automouting removable media, together with udev.
 mediad makes /mediad an automount directory populated with removable media
 devices found on your system, and devices dynamically added or removed via
 calls from udev.

=== debian/rules ===
#! /usr/bin/make -f
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; version 2 dated June, 1991.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program;  if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave., Cambridge, MA 02139, USA.

tmpdir=debian/mediad

OPTFLAGS = -g -O2 -fomit-frame-pointer  -I/usr/src/linux/include

build:
	make CFLAGS="$(OPTFLAGS)"
	touch build

clean:
	dh_clean
	make clean
	rm -f `find -name '*~' -o -name '.#*' -o -name '.new*'`
	rm -f build
	rm -rf $(tmpdir)

binary: binary-indep binary-arch

binary-indep:
# Nothing to be done here

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	make install DESTDIR=`pwd`/$(tmpdir)
	# symlinks in /etc/udev/rules.d shouldn't be in the package but be created
	# by postinst script
	rm -rf $(tmpdir)/etc/udev
	dh_installinit --no-restart-on-upgrade -- start 90 S .
	dh_installman
	dh_installdocs README
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

.PHONY: binary binary-arch binary-indep clean
